Subject: bug#21566: Bug when moving between system instances

From: [email-masked]
Date: Sat, 26 Sep 2015 03:21:23 +0000

Hello.
I got this unexpected behaviour. I used `guix system reconfigure ...` to 
make a new system instance, used it for a while, and later booted back 
into the old system. I used diferent names for the user in the first and 
second system, let's call them sys1user and sys2user. I booted into the 
old system and tried to login as sys1user (the user created with that 
system) with it's password and this was no longer possible. root 
remained untouched, so I used root to change the password and login as 
usual. Done that I discovered I didn't have access to the files of 
user1.
I then rebooted back into the new system, only to find the exact same 
problem. in /home/sys2user all files belonged to some user called 30011. 
I could of course change permissions for most of them using sudo, all 
but the all-important ~/.guix-profile. Since it's a symlink to a 
read-only filesystem, this was impossible.
Thanks for listening, and, sorry about the non-technical bug report.